class_name CollisionState2D
extends CollisionShape2D

@export var Shapes: Dictionary[String, Shape2D]

func change_shape(id: String) -> void:
	if id in Shapes:
		shape = Shapes[id]
	elif len(Shapes) > 0:
		shape = Shapes[Shapes.keys()[0]]
